<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
</head>
<body>
<div>
    <form id="login" action="" method="post" onsubmit="return false">
        username: <input type="text" name="username"><br/>
        password: <input type="password" name="password"><br/>
        <button type="submit"> 登 陆 </button>
    </form>
</div>

<!-- jQuery (Bootstrap 的所有 JavaScript 插件都依赖 jQuery，所以必须放在前边) -->
<script src="https://cdn.jsdelivr.net/npm/jquery@1.12.4/dist/jquery.min.js"></script>
<!-- 加载 Bootstrap 的所有 JavaScript 插件。你也可以根据需要只加载单个插件。 -->
<script src="/static/jquery.md5.js"></script>
<script src="/static/jquery.cookie.js"></script>

<script>
    $(function (){
        $("form").on("submit", function (){
            let username = $("input[name=username]").val();
            let password = $("input[name=password]").val();

            let passwordmd5 = $.md5(password);

            $.ajax({
                url: '/login',
                type: 'post',
                async: true,
                data: {
                    username: username,
                    password: passwordmd5,
                },
                timeout: 50000,
                dataType: 'json',
                success: function (data, textStatus, jqXHR) {
                    if (data.errMsg == ""){
                        $.cookie("username", data.data.Username, {path:"/"})
                        $.cookie("token", data.data.Token, {path:"/"})
                        location.href="/req/profile"            //回调
                    } else {
                        alert(data.errMsg)
                    }
                },
                error: function (xhr, textStatus) {
                    console.log('error')
                },
                complete: function () {
                    console.log('completed')
                }
            })
        });
    });
</script>
</body>
</html>